package com.ruoyi.web.yh.report.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 报表对象 bst_report
 *
 * @author ruoyi
 * @date 2024-10-18
 */
@Data
public class Report extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long reportId;

    @Excel(name = "部门ID")
    @ApiModelProperty("部门ID")
    private Long deptId;

    @Excel(name = "工序完成数量")
    @ApiModelProperty("工序完成数量")
    private BigDecimal num;

    @Excel(name = "状态", readConverterExp = "1=未提交,2=待审核,3=已通过,4=已驳回")
    @ApiModelProperty("状态")
    private String status;

    @Excel(name = "单价ID")
    @ApiModelProperty("单价ID")
    private Long priceId;

    @Excel(name = "单价类别")
    @ApiModelProperty("单价类别")
    private String priceCategory;

    @Excel(name = "单价大小")
    @ApiModelProperty("单价大小")
    private String priceSize;

    @Excel(name = "单价工序名称")
    @ApiModelProperty("单价工序名称")
    private String priceName;

    @Excel(name = "单价子工序名称")
    @ApiModelProperty("单价子工序名称")
    private String priceSubName;

    @Excel(name = "单价图案")
    @ApiModelProperty("单价图案")
    private String pricePattern;

    @Excel(name = "单价规格")
    @ApiModelProperty("单价规格")
    private String priceSpec;

    @Excel(name = "单价单价(元)")
    @ApiModelProperty("单价单价(元)")
    private BigDecimal pricePrice;

    @Excel(name = "单价单位")
    @ApiModelProperty("单价单位")
    private String priceUnit;

    @Excel(name = "单价分类")
    @ApiModelProperty("单价分类")
    private String priceClassify;

    @Excel(name = "单价生产数量倍数(个)")
    @ApiModelProperty("单价生产数量倍数(个)")
    private BigDecimal priceQuantity;

    @Excel(name = "创建人ID")
    @ApiModelProperty("创建人ID")
    private Long createId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("审核时间")
    private Date verifyTime;

    @Excel(name = "审核人ID")
    @ApiModelProperty("审核人ID")
    private Long verifyId;

    @Excel(name = "审核人名称")
    @ApiModelProperty("审核人名称")
    private String verifyBy;

    @Excel(name = "更新人ID")
    @ApiModelProperty("更新人ID")
    private Long updateId;

}
